Package org.eclipse.gef.dot.internal.ui.conversion

# Class DotColorInfo

java.lang.Object
org.eclipse.gef.dot.internal.ui.conversion.DotColorInfo

public class DotColorInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`DotColorInfo(org.eclipse.gef.dot.internal.language.dot.Attribute attribute, org.eclipse.gef.dot.internal.language.color.Color color)`

## Method Summary

Modifier and Type
Method
Description
`void`
`calculate()`
`void`
`calculate(String value)`
`String`
`getColorCode()`
`String`
`getColorName()`
`String`
`getColorScheme()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DotColorInfo

public DotColorInfo(org.eclipse.gef.dot.internal.language.dot.Attribute attribute, org.eclipse.gef.dot.internal.language.color.Color color)

## Method Details

### calculate

public void calculate()

### calculate

public void calculate(String value)

### getColorScheme

public String getColorScheme()

### getColorName

public String getColorName()

### getColorCode

public String getColorCode()